QueryReformulator
Keywords: uk.ac.bbk.dcs.automed.qproc.QueryReformulator class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc
Class QueryReformulator

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.QueryReformulator

    public class QueryReformulator

extends java.lang.Object

The class that goes through an ASG that applies to a global schema and reformulates the ASG so that it applies to all local schemas

Field Summary
`static java.lang.String` | `lowerBound`
`static java.lang.String` | `upperBound`
`protected java.util.HashMap` | `viewmap`

Constructor Summary
`protected` | `QueryReformulator()`
`` | `QueryReformulator(Schema sourceschema, Schema[] targetschemata)`
`` | `QueryReformulator(Schema sourceschema, Schema[] targetschemata, java.lang.String functionType)` Constructs a QueryReformulator object containing view definitions for the constructs of source in terms of the constructs of targets assuming the appropriate transformation pathways exist.

Method Summary
`void` | `reformulate(ASG g)` Reformulates the query represented by the ASG g according to the view defintions it has stored.
`Schema` | `source()` Returns the global schema
`Schema[]` | `targets()` Returns the array of local schemas

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### viewmap

    protected java.util.HashMap viewmap

### upperBound

    public static final java.lang.String upperBound

See Also:
  Constant Field Values

### lowerBound

    public static final java.lang.String lowerBound

See Also:
  Constant Field Values

Constructor Detail

### QueryReformulator

    protected QueryReformulator()

### QueryReformulator

    public QueryReformulator(Schema sourceschema,
                             Schema[] targetschemata)
                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

### QueryReformulator

    public QueryReformulator(Schema sourceschema,
                             Schema[] targetschemata,
                             java.lang.String functionType)
                      throws java.lang.Exception

  Constructs a QueryReformulator object containing view definitions for the constructs of source in terms of the constructs of targets assuming the appropriate transformation pathways exist.

  Throws:
    `java.lang.Exception`

Method Detail

### reformulate

    public void reformulate(ASG g)
                     throws NotFoundException

  Reformulates the query represented by the ASG g according to the view defintions it has stored.

  Throws:
    `NotFoundException`

### source

    public Schema source()

  Returns the global schema

### targets

    public Schema[] targets()

  Returns the array of local schemas

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD